Page 1 of 4 123 ... LastLast
Results 1 to 10 of 31

Thread: Error Messages on YouTube Videos

  1. #1
    Join Date
    Dec 2015
    Posts
    9

    Default Error Messages on YouTube Videos

    I switched to openSUSE last week from Kubuntu and after a few days of use I realized that some YouTube videos are only displaying the "An error occurred. Please try again later" message. HTML5 is my default player and after a few reloads the Flash player sometimes kicks in and it works. It's getting worse though where reloading doesn't help. Now I thought this was an issue on YouTube's servers since the problem occurs for the same videos on both Firefox and Chromium. However I can watch the videos comfortably on my phone and on a Windows PC all connected to the same router. Is anyone else having the same issues on openSUSE and how can I fix it?

    https://www.youtube.com/watch?v=F9kjLqZwpKg and also https://www.youtube.com/watch?v=w3pl00bUCVc are a couple videos that I can't view.

  2. #2
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Error Messages on YouTube Videos

    Quote Originally Posted by Jov View Post
    I switched to openSUSE last week from Kubuntu and after a few days of use I realized that some YouTube videos are only displaying the "An error occurred. Please try again later" message. HTML5 is my default player and after a few reloads the Flash player sometimes kicks in and it works. It's getting worse though where reloading doesn't help. Now I thought this was an issue on YouTube's servers since the problem occurs for the same videos on both Firefox and Chromium. However I can watch the videos comfortably on my phone and on a Windows PC all connected to the same router. Is anyone else having the same issues on openSUSE and how can I fix it?

    https://www.youtube.com/watch?v=F9kjLqZwpKg and also https://www.youtube.com/watch?v=w3pl00bUCVc are a couple videos that I can't view.
    post your repo list
    Code:
    zypper lr -d
    Firefox needs a distribution switch to packman to be able to play restricted formats ie mp4, packman is the repository that carries flash.

  3. #3
    Join Date
    Jun 2009
    Location
    Mangfall, Germany
    Posts
    1,500

    Default Re: Error Messages on YouTube Videos

    observation

    updates in the last couple of days are,
    flash-player-11.2.202.559-1.1.x86_64,
    MozillaFirefox-43.0-6.1.x86_64

    suggest updating to these if they are not installed

    also your symptoms indicate a heavily loaded network, here BBC News and Videos
    show similar

    do Firefox and Chromium use the same DNS as your phone and Windows?

    have fun

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,864
    Blog Entries
    15

    Default Re: Error Messages on YouTube Videos

    Hi
    Just to confirm, both of those links work in the firefox default Leap install with html5 player (no packman or flash here.) I do have fluendo codecs installed, however firefox about:plugins shows only the OpenH264 Video Codec no other codec plugins.

    Maybe clean out the gstreamer cache?
    Code:
    rm ~/.cache/gstreamer-1.0/*
    I removed the fluendo codecs and rebooted removed the above cache file, started firefox and both videos worked fine again no switch to packman....
    Last edited by malcolmlewis; 31-Dec-2015 at 09:13.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  5. #5
    Join Date
    Dec 2015
    Posts
    9

    Default Re: Error Messages on YouTube Videos

    Quote Originally Posted by I_A View Post
    post your repo list
    Code:
    zypper lr -d
    Firefox needs a distribution switch to packman to be able to play restricted formats ie mp4, packman is the repository that carries flash.
    I have the packman repo but I don't know if that alone classifies as "switching".

    # | Alias | Name | Enabled | GPG Check | Refresh | Priority | Type | URI | Service
    ---+---------------------------------+-----------------------------------------+---------+-----------+---------+----------+--------+-------------------------------------------------------------------------+--------
    1 | download.opensuse.org-non-oss | Main Repository (NON-OSS) | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib.../repo/non-oss/ |
    2 | download.opensuse.org-non-oss_1 | Update Repository (Non-Oss) | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/42.1/non-oss/ |
    3 | download.opensuse.org-oss | Main Repository (OSS) | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib...42.1/repo/oss/ |
    4 | download.opensuse.org-oss_1 | Main Update Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/42.1/oss |
    5 | ftp.gwdg.de-suse | Packman Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://ftp.gwdg.de/pub/linux/packman...USE_Leap_42.1/ |
    6 | openSUSE-42.1-0 | openSUSE-42.1-0 | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib...42.1/repo/oss/ |
    7 | repo-debug | openSUSE-Leap-42.1-Debug | No | ---- | Yes | 99 | NONE | http://download.opensuse.org/debug/d...42.1/repo/oss/ |
    8 | repo-debug-non-oss | openSUSE-Leap-42.1-Debug-Non-Oss | No | ---- | Yes | 99 | NONE | http://download.opensuse.org/debug/d.../repo/non-oss/ |
    9 | repo-debug-update | openSUSE-Leap-42.1-Update-Debug | No | ---- | Yes | 99 | NONE | http://download.opensuse.org/debug/update/leap/42.1/oss |
    10 | repo-debug-update-non-oss | openSUSE-Leap-42.1-Update-Debug-Non-Oss | No | ---- | Yes | 99 | NONE | http://download.opensuse.org/debug/u.../42.1/non-oss/ |
    11 | repo-source | openSUSE-Leap-42.1-Source | No | ---- | Yes | 99 | NONE | http://download.opensuse.org/source/...42.1/repo/oss/ |
    12 | repo-update | openSUSE-Leap-42.1-Update | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/42.1/oss/ |

  6. #6
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Error Messages on YouTube Videos

    switching is what I call a full vendor change
    https://en.opensuse.org/SDB:Vendor_c...Using_zypper_2

    to do a full vendor change with packman do
    Code:
    zypper dup --from 5

  7. #7
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Error Messages on YouTube Videos

    The thing with google is that it has servers all over the world, when we enter google.com most of us get different IP's the same is true for youtube as most of youtube should be available in webm it should be playable with firefox without packman but...
    personally I've noticed youtube issues when my upload is maxed out I'm not sure why, when I upload big files to my cloud youtube refuses to work I do believe a javascript running locally sends google some data and if it can not reach it, it stops playback.

  8. #8
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,864
    Blog Entries
    15

    Default Re: Error Messages on YouTube Videos

    Quote Originally Posted by I_A View Post
    The thing with google is that it has servers all over the world, when we enter google.com most of us get different IP's the same is true for youtube as most of youtube should be available in webm it should be playable with firefox without packman but...
    personally I've noticed youtube issues when my upload is maxed out I'm not sure why, when I upload big files to my cloud youtube refuses to work I do believe a javascript running locally sends google some data and if it can not reach it, it stops playback.
    Hi
    Could very well be the case.... I see a connections to us-west and dfw here which I assume is the youtube site and video feed....
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  9. #9
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,864
    Blog Entries
    15

    Default Re: Error Messages on YouTube Videos

    Hi
    OK, quick test;

    With fluendo codecs, uses mp4;





    Without fluendo codecs uses webm;



    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  10. #10

    Default Re: Error Messages on YouTube Videos

    I'm having the same message in running YouTube Videos on 42.1. So I used Yast Online update, searched for Adobe Flash and downloaded the program and the plugin. I got an error that the flash plugin is broken. So I went to Adobe and downloaded the .rpm and .YUM files. How to run them in 42.1?

Page 1 of 4 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •